package cn.com.countrygarden.bi.main.dto;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;

import cn.com.countrygarden.bi.main.model.writtenExamination.PersonnelSelectionscore;

public class PersonnelWrittenexaminationVO implements Serializable {
	/**
	 * 主键id
	 */
	private Integer id;
	/**
	 * 选拔得分id
	 */
	private int selectionscoresId;
	/**
	 * 选拔类型
	 */
	private int personnelSelectionTypeId;
	/**
	 * 人才信息_ID
	 */
	private Integer personnelId;
	/**
	 * 人才标签id
	 */
	private Integer personneltagId;
	/**
	 * 人才标签名称
	 */
	private String personneltagIdentity;
	/**
	 * 用户姓名
	 */

	private String name;
	/**
	 * 用户编号
	 */
	private String code;
	/**
	 * 选拔类型(1.选拔 2.晋升)
	 */
	private String selectType;
	/**
	 * 选拔-晋升时间
	 */
	@JSONField(format = "yyyy/MM/dd HH:mm")
	@JsonFormat(pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
	private Date selectionTime;
	/**
	 * 描述
	 */

	private String selectiondescription;
	/**
	 * 得分
	 */
	private Double score;
	/**
	 * 附件名称
	 */
	private String appendixName;
	/**
	 * 附件地址
	 */
	private String regionName;
	private String appendix;

	public Integer getPersonnelId() {
		return personnelId;
	}

	public void setPersonnelId(Integer personnelId) {
		this.personnelId = personnelId;
	}

	private List<PersonnelSelectionscore> scoreList;

	public String getPersonneltagIdentity() {
		return personneltagIdentity;
	}

	public void setPersonneltagIdentity(String personneltagIdentity) {
		this.personneltagIdentity = personneltagIdentity;
	}

	public Integer getPersonneltagId() {
		return personneltagId;
	}

	public void setPersonneltagId(Integer personneltagId) {
		this.personneltagId = personneltagId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getAppendixName() {
		return appendixName;
	}

	public void setAppendixName(String appendixName) {
		this.appendixName = appendixName;
	}

	public int getSelectionscoresId() {
		return selectionscoresId;
	}

	public void setSelectionscoresId(int selectionscoresId) {
		this.selectionscoresId = selectionscoresId;
	}

	public String getSelectType() {
		return selectType;
	}

	public void setSelectType(String selectType) {
		this.selectType = selectType;
	}

	public String getSelectiondescription() {
		return selectiondescription;
	}

	public void setSelectiondescription(String selectiondescription) {
		this.selectiondescription = selectiondescription;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public String getAppendix() {
		return appendix;
	}

	public void setAppendix(String appendix) {
		this.appendix = appendix;
	}

	public Date getSelectionTime() {
		return selectionTime;
	}

	public void setSelectionTime(Date selectionTime) {
		this.selectionTime = selectionTime;
	}

	public List<PersonnelSelectionscore> getScoreList() {
		return scoreList;
	}

	public void setScoreList(List<PersonnelSelectionscore> scoreList) {
		this.scoreList = scoreList;
	}

	public int getPersonnelSelectionTypeId() {
		return personnelSelectionTypeId;
	}

	public void setPersonnelSelectionTypeId(int personnelSelectionTypeId) {
		this.personnelSelectionTypeId = personnelSelectionTypeId;
	}

	public String getRegionName() {
		return regionName;
	}

	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}

	

}
